module Workarea
  module FacebookConversionTracking
    module Analytics
      module Helper
        def product_analytics_data(product)
          super.merge(event_id: event_id)
        end

        def order_analytics_data(order)
          super.merge(event_id: event_id, currency: order.model.total_value.currency.iso_code)
        end

        private

        def event_id
          "#{Time.current.to_i}_#{rand(10000)}"
        end
      end
    end
  end
end
