if Workarea::Configuration.respond_to?(:define_fields)
  Workarea::Configuration.define_fields do
    fieldset 'Facebook Conversion Tracking' do
      field 'Pixel Id',
        type: :string,
        description: 'Facebook Pixel Id',
        allow_blank: false,
        encrypted: false

      field 'Access Token',
        type: :string,
        description: 'Business Manager Access Token',
        allow_blank: false,
        encrypted: true

      field 'Test Code',
        type: :string,
        description: 'Business Manager Test Code',
        allow_blank: true,
        encrypted: false
    end
  end
end