module Workarea
  module FacebookConversionTracking
    class Engine < ::Rails::Engine
      include Workarea::Plugin
      isolate_namespace Workarea::FacebookConversionTracking

      config.to_prepare do
        Workarea::ApplicationController.helper(Workarea::FacebookConversionTracking::Analytics::Helper)
        Workarea::Storefront::ApplicationController.helper(Workarea::FacebookConversionTracking::Analytics::Helper)
      end
    end
  end
end
